Index: contrib/ntp/CommitLog
===================================================================
--- contrib/ntp/CommitLog	(版本 314126)
+++ contrib/ntp/CommitLog	(版本 316722)
@@ -155547,13 +155787,11 @@
     make all terminal T_ tokens type Integer so they can be used in
       actions as $1, $2, etc:  { imaginary_func($2) } instead of
       { imaginary_func(T_Sometoken) }
-    
 
   ntpd/ntp_scanner.c@1.23 +56 -27
     fix $1 style references to T_ values by setting yylval.Integer to the
       T_ token for simple tokens with no other semantic value
     improve debug output:  yylex: lexeme 'trap' -> T_Trap
-    
 
 ChangeSet@1.1978, 2009-09-02 14:15:16-04:00, mayer@pogo.udel.edu
   [Bug 1294]
@@ -156041,7 +156279,6 @@
   document saveconfig in html/ntpq.html.
   add ./configure --disable-saveconfig to build a smaller ntpd.
   log saveconfig failures and successes to syslog.
-  
 
   ChangeLog@1.413.3.1 +13 -0
     [Bug 1293] make configuration dumper ready for release, specifically:
@@ -156057,7 +156294,6 @@
     document saveconfig in html/ntpq.html.
     add ./configure --disable-saveconfig to build a smaller ntpd.
     log saveconfig failures and successes to syslog.
-    
 
   html/ntpq.html@1.32 +13 -8
     document "config-from-file" and "saveconfig"
@@ -156463,7 +156699,6 @@
     save KoD file even if one wasn't loaded
     create directories if needed while writing KoD file
     clean up confusion over kod_db being an array of pointers or structs
-    
 
   sntp/kod_management.h@1.7 +8 -9
     use time_t for KoD timestamp instead of uint
@@ -158733,7 +158968,6 @@
     are consistent.
   [Bug 1275] CID 45: CID 46: old sntp uses uninitialized guesses[0],
     precs[0].
-  
 
   ChangeLog@1.389 +6 -0
     [Bug 1272] gsoc_sntp IPv6 build problems under HP-UX 10.
@@ -158742,7 +158976,6 @@
       are consistent.
     [Bug 1275] CID 45: CID 46: old sntp uses uninitialized guesses[0],
       precs[0].
-    
 
   gsoc_sntp/networking.c@1.22 +11 -3
     [Bug 1272] gsoc_sntp IPv6 build problems under HP-UX 10.
@@ -158754,12 +158987,10 @@
 
   ntpd/refclock_palisade.c@1.26 +3 -9
     [Bug 1273] CID 10: Palisade leaks unit struct in error path.
-    
 
   sntp/main.c@1.10 +3 -0
     [Bug 1275] CID 45: CID 46: old sntp uses uninitialized guesses[0],
       precs[0].
-    
 
 ChangeSet@1.1934, 2009-07-27 07:54:24-04:00, stenn@whimsy.udel.edu
   NTP_4_2_5P195
@@ -159102,7 +159333,6 @@
     negative descriptors.
   [Bug 1270] CID 70: gsoc_sntp recv_bcst_data mdevadr.ipv6mr_interface
     uninitialized.
-  
 
   ChangeLog@1.382 +14 -0
     [Bug 1261] CID 34: simulate_server() rbuf.msg_flags uninitialized.
@@ -159119,18 +159349,15 @@
       negative descriptors.
     [Bug 1270] CID 70: gsoc_sntp recv_bcst_data mdevadr.ipv6mr_interface
       uninitialized.
-    
 
   gsoc_sntp/main.c@1.16 +7 -10
     [Bug 1264] CID 64: gsoc_sntp on_wire() frees wrong ptr receiving KoD.
     [Bug 1265] CID 65: CID 66: gsoc_sntp on_wire() leaks x_pkt, r_pkt.
-    
 
   gsoc_sntp/networking.c@1.21 +3 -3
     [Bug 1268] CID 63: resolve_hosts() leaks error message buffer.
     [Bug 1270] CID 70: gsoc_sntp recv_bcst_data mdevadr.ipv6mr_interface
       uninitialized.
-    
 
   ntpd/ntp_io.c@1.293 +2 -0
     [Bug 1269] CID 74: use assertion to ensure move_fd() does not return
@@ -159139,31 +159366,25 @@
   ntpd/ntpsim.c@1.22 +3 -0
     [Bug 1261] CID 34: simulate_server() rbuf.msg_flags uninitialized.
     [Bug 1262] CID 35: xpkt.mac uninitialized in simulate_server().
-    
 
   ntpd/refclock_arc.c@1.21 +129 -127
     [Bug 1263] CID 37: CID 38: CID 40: CID 43: multiple refclocks 
       uninitialized tm_zone (arc, chronolog, dumbclock, pcf).
-    
 
   ntpd/refclock_chronolog.c@1.8 +2 -0
     [Bug 1263] CID 37: CID 38: CID 40: CID 43: multiple refclocks 
       uninitialized tm_zone (arc, chronolog, dumbclock, pcf).
-    
 
   ntpd/refclock_datum.c@1.12 +2 -0
     [Bug 1266] CID 39: datum_pts_start() uninitialized arg.c_ospeed.
-    
 
   ntpd/refclock_dumbclock.c@1.13 +20 -26
     [Bug 1263] CID 37: CID 38: CID 40: CID 43: multiple refclocks 
       uninitialized tm_zone (arc, chronolog, dumbclock, pcf).
-    
 
   ntpd/refclock_pcf.c@1.9 +2 -0
     [Bug 1263] CID 37: CID 38: CID 40: CID 43: multiple refclocks 
       uninitialized tm_zone (arc, chronolog, dumbclock, pcf).
-    
 
   ports/winnt/include/config.h@1.72 +2 -1
     Enable dumbclock, Chronolog refclock drivers in Windows ntpd
@@ -159287,7 +159508,6 @@
   [Bug 1259] CID 59: gsoc_sntp recv_bcast_data() fails to free(rdata)
     on error paths.
   [Bug 1260] CID 60: gsoc_sntp recvpkt() fails to free(rdata).
-  
 
   ChangeLog@1.378.1.1 +15 -0
     [Bug 965] CID 42: ss_family uninitialized.
@@ -159305,7 +159525,6 @@
     [Bug 1259] CID 59: gsoc_sntp recv_bcast_data() fails to free(rdata)
       on error paths.
     [Bug 1260] CID 60: gsoc_sntp recvpkt() fails to free(rdata).
-    
 
   gsoc_sntp/crypto.c@1.6 +8 -10
     use sizeof(buf) rather than hardcode
@@ -159312,17 +159531,14 @@
     [Bug 1253] CID 50: gsoc_sntp/crypto.c auth_init() always returns a 
       list with one entry.
     [Bug 1257] CID 57: gsoc_sntp auth_init() fails to fclose(keyfile).
-    
 
   gsoc_sntp/kod_management.c@1.9 +55 -40
     [Bug 1250] CID 53: kod_init_kod_db() overruns kod_db malloc'd buffer.
     [Bug 1251] CID 68: search_entry() mishandles dst argument.
-    
 
   gsoc_sntp/main.c@1.15 +25 -26
     [Bug 1251] CID 68: search_entry() mishandles dst argument.
     [Bug 1258] CID 54: gsoc_sntp resolve_hosts() needs simplification.
-    
 
   gsoc_sntp/networking.c@1.20 +35 -58
     [Bug 1258] CID 54: gsoc_sntp resolve_hosts() needs simplification.
@@ -159329,21 +159545,17 @@
     [Bug 1259] CID 59: gsoc_sntp recv_bcast_data() fails to free(rdata)
       on error paths.
     [Bug 1260] CID 60: gsoc_sntp recvpkt() fails to free(rdata).
-    
 
   gsoc_sntp/networking.h@1.13 +1 -1
     [Bug 1258] CID 54: gsoc_sntp resolve_hosts() needs simplification.
-    
 
   gsoc_sntp/utilities.c@1.7 +9 -2
     [Bug 1254] CID 56: tv_to_str() leaks a struct tm each call.
     [Bug 1255] CID 55: pkt_output() leaks a copy of each packet.
-    
 
   include/ntp_assert.h@1.3 +46 -13
     [Bug 1256] CID 51: Coverity doesn't recognize our assertion macros as
       terminal.
-    
 
   ntpd/refclock_nmea.c@1.42 +1 -0
     [Bug 965] CID 42: ss_family uninitialized.
@@ -159350,7 +159562,6 @@
 
   ntpdc/ntpdc.c@1.66 +9 -2
     [Bug 1252] CID 32: Quiet Coverity warning with assertion.
-    
 
   ports/winnt/libntp/libntp.vcproj@1.11 +4 -0
     add ntp_assert.h reference
@@ -162401,7 +162612,6 @@
   ntpd/refclock_oncore.c@1.74 +6 -2
     BUG[1218] The comment on where the oncore driver gets its input file does not
      * agree with the code.  Change the comment.
-    
 
   ntpd/refclock_oncore.c@1.73 +11 -6
     BUG[no bug report] Change exit statements to return(0) in ONCORE driver top
@@ -162409,7 +162619,6 @@
 
   ntpd/refclock_oncore.c@1.72 +4 -0
     BUG[no bug report] A bytes available message for the input subsystem (Debug message).
-    
 
   ntpd/refclock_oncore.c@1.71 +8 -1
     BUG[no bug report] This code adds a message for TRAIM messages.  Users often worry about the
@@ -162945,8 +163154,6 @@
   [Bug 1204] Unix-style refclock device paths on Windows
   [Bug 1205] partial fix, disable RDTSC use by default on Windows
   Enable ONCORE, ARCRON refclocks on Windows (untested)
-  
-  
 
   ChangeLog@1.340.2.1 +4 -0
     [Bug 1084] PPSAPI for ntpd on Windows with DLL backends
@@ -162953,7 +163160,6 @@
     [Bug 1204] Unix-style refclock device paths on Windows
     [Bug 1205] partial fix, disable RDTSC use by default on Windows
     Enable ONCORE, ARCRON refclocks on Windows (untested)
-    
 
   include/ntp_types.h@1.13 +14 -0
     [Bug 1204] Unix-style refclock device paths on Windows
@@ -163367,12 +163573,10 @@
   Bug [1041] manycastclient fails with 4.2.5p120.
     (fixed by Dave Mills' prior delta to ntp_peer.c xmt -> aorg)
   Bug [1196] VC6 winsock2.h does not define SO_EXLUSIVEADDRUSE.
-  
 
   ChangeLog@1.335 +3 -1
     Bug [1041] manycastclient fails with 4.2.5p120.
     Bug [1196] VC6 winsock2.h does not define SO_EXLUSIVEADDRUSE.
-    
 
   ntpd/ntp_io.c@1.285 +17 -6
     disambiguate two identical DPRINTFs in findbcastinter()
@@ -163379,7 +163583,6 @@
 
   ports/winnt/include/config.h@1.65 +7 -0
     Bug [1196] VC6 winsock2.h does not define SO_EXLUSIVEADDRUSE.
-    
 
 ChangeSet@1.1869.1.1, 2009-05-22 21:16:18-04:00, stenn@whimsy.udel.edu
   xmt/aorg and leap_expire fixes from Dave Mills
@@ -163564,11 +163767,9 @@
 
   ntpd/ntp_parser.c@1.38 +1000 -955
     Bison output from ntp_parser.y
-    
 
   ntpd/ntp_parser.h@1.22 +225 -225
     Bison output from ntp_parser.y
-    
 
   ntpd/ntp_parser.y@1.33 +50 -22
     [Bug 1192] restrict -4 default / restrict -6 default lost with new
@@ -164716,7 +164917,6 @@
   ChangeLog@1.311 +2 -0
     Clean up configure.ac NTP_CACHEVERSION interface, display cache version
     when clearing.  Fixes a regression.
-    
 
   configure.ac@1.442 +16 -25
     Simplify configure.ac NTP_CACHEVERSION interface, update comments
@@ -164974,7 +165174,6 @@
   ---
   ntp_cacheversion.m4: clear even other version stamps when flushing
   cache iff we are the top configure this invocation.
-  
 
   ChangeLog@1.305 +3 -1
     Fix msntp link problem on Solaris when configured before parent
@@ -165103,13 +165302,11 @@
     ../../libparse/parse.c:211: warning: implicit declaration of function 'bcopy'
     ../../libparse/parse.c:211: warning: incompatible implicit declaration of built-
     in function 'bcopy'
-    
 
   include/ntp_string.h@1.4 +12 -5
     ../../libparse/parse.c:211: warning: implicit declaration of function 'bcopy'
     ../../libparse/parse.c:211: warning: incompatible implicit declaration of built-
     in function 'bcopy'
-    
 
   libntp/ntp_lineedit.c@1.3 +1 -0
     implicit free decl warning
@@ -165838,7 +166035,6 @@
     * Re-enable gcc -Wstrict-prototypes when not building with OpenSSL
     * Enable gcc -Wstrict-overflow
     * ntpq/ntpdc emit newline after accepting password on Windows
-    
 
   configure.ac@1.434.1.1 +40 -26
     enable -Wstrict-overflow, use -Wno-strict-prototypes only w/OpenSSL
@@ -166238,7 +166434,6 @@
     leaks to stand out in leaks reported after exit.
   * Ensure termination of strings in ports/winnt/libisc/isc_strerror.c
     and quiet compiler warnings.
-  
 
   ChangeLog@1.280.2.1 +10 -0
     [Bug 1165] config parser leak
@@ -167047,7 +167242,6 @@
 ChangeSet@1.1436.21.1, 2009-04-14 01:28:08+00:00, davehart@shiny.ad.hartbrothers.com
   [Bug 1157] quiet OpenSSL warnings, clean up configure.ac
   make flock-build quit before causing harm if another has not completed
-  
 
   ChangeLog@1.1.16.1 +4 -0
     [Bug 1157] quiet OpenSSL warnings, clean up configure.ac
@@ -168197,15 +168391,12 @@
 
   ChangeLog@1.268.5.1 +1 -0
     [Bug 873] Windows serial refclock proper TTY line discipline emulation
-    
 
   ntpd/ntp_io.c@1.275.1.1 +25 -22
     [Bug 873] Windows serial refclock proper TTY line discipline emulation
-    
 
   ntpd/ntpd.c@1.98 +17 -29
     slightly reduce #ifdef SYS_WINNT forest
-    
 
   ntpd/refclock_dumbclock.c@1.10 +6 -5
     [Bug 873] Windows serial refclock proper TTY line discipline emulation
@@ -168218,7 +168409,6 @@
 
   ntpd/refclock_palisade.c@1.22 +6 -5
     [Bug 873] Windows serial refclock proper TTY line discipline emulation
-    
 
   ports/winnt/include/ntp_iocompletionport.h@1.15 +8 -9
     [Bug 873] Windows serial refclock proper TTY line discipline emulation
@@ -172811,7 +173001,7 @@
 
 ChangeSet@1.1436.15.4, 2008-08-17 05:30:47-04:00, stenn@whimsy.udel.edu
   NTP_4_2_4P5
-  TAG: NTP_4_2_4P5
+  TAG: NTP_4_2_4P5 (currently on 1.1436.15.11)
 
   ChangeLog@1.1.1.43 +3 -0
     NTP_4_2_4P5
@@ -199307,7 +199497,7 @@
 
 ChangeSet@1.1251.94.42, 2006-07-28 07:02:21-04:00, stenn@whimsy.udel.edu
   NTP_4_2_2P3
-  TAG: NTP_4_2_2P3
+  TAG: NTP_4_2_2P3 (currently on 1.1251.94.46)
 
   packageinfo.sh@1.27.15.1 +1 -1
     NTP_4_2_2P3
@@ -201326,7 +201516,7 @@
 
 ChangeSet@1.1251.94.6, 2006-06-13 07:02:41-04:00, stenn@whimsy.udel.edu
   NTP_4_2_2P0_RC
-  TAG: NTP_4_2_2P0_RC
+  TAG: NTP_4_2_2P0_RC (currently on 1.1251.94.8)
 
   packageinfo.sh@1.27.1.4 +1 -1
     NTP_4_2_2P0_RC
@@ -201346,7 +201536,7 @@
 
 ChangeSet@1.1251.94.4, 2006-06-12 07:03:05-04:00, stenn@whimsy.udel.edu
   NTP_4_2_2P0_RC
-  TAG: NTP_4_2_2P0_RC
+  TAG: NTP_4_2_2P0_RC (currently on 1.1251.94.8)
 
   packageinfo.sh@1.27.1.3 +2 -2
     NTP_4_2_2P0_RC
@@ -208572,7 +208762,6 @@
     [Bug 378]: Added macros for Danny
 
 ChangeSet@1.1251.7.26, 2004-12-18 04:55:09+00:00, abe@pogo.udel.edu
-  
 
   BitKeeper/etc/logging_ok@1.51 +1 -0
     Logging to logging@openlogging.org accepted
@@ -211728,7 +211917,6 @@
     
     He found an error in determining the ONCORE M12/M12+T. (thanks)
     Rather than his #ifdef, I have corrected the code.
-    
 
 ChangeSet@1.1152.19.3, 2004-01-08 18:21:43-05:00, mayer@pogo.udel.edu
   Make call to get_scopeid conditional
